Activity log for bug #1697882

Date Who What changed Old value New value Message
2017-06-14 08:01:28 Alberto Milone bug added bug
2017-06-14 08:01:47 Alberto Milone gdm3 (Ubuntu): importance Undecided Medium
2017-06-14 08:05:43 Alberto Milone description Due to a current limitation in the nvidia binary driver, when enabling KMS (to use Wayland), any X11 sessions will crash. Ideally, GDM would check if modesetting is enabled in the nvidia driver, and blacklist the X11 sessions. The following command can tell you whether the parameter is enabled or not: :$ sudo cat /sys/module/nvidia_drm/parameters/modeset Y NOTE: KMS is disabled by default in the nvidia driver, and it is possible to enable it by editing the following file /etc/modprobe.d/nvidia-graphics-drivers.com and by changing the following line: options nvidia_375_drm modeset=0 to this: options nvidia_375_drm modeset=1 Then you will probably have to update the initramfs too. Due to a current limitation in the nvidia binary driver, when enabling KMS (to use Wayland), any X11 sessions will crash. Ideally, GDM would check if modesetting is enabled in the nvidia driver, and blacklist the X11 sessions. The following command can tell you whether the parameter is enabled or not: :$ sudo cat /sys/module/nvidia_drm/parameters/modeset Y NOTE: KMS is disabled by default in the nvidia driver, and it is possible to enable it by editing the following file /etc/modprobe.d/nvidia-graphics-drivers.conf and by changing the following line: options nvidia_375_drm modeset=0 to this: options nvidia_375_drm modeset=1 Then you will probably have to update the initramfs too.
2017-06-14 12:36:26 Will Cooke bug added subscriber Will Cooke
2017-06-14 22:46:55 Jeremy Bicha tags gnome-17.10 wayland
2017-06-19 05:27:06 Tim Lunn bug added subscriber Tim
2017-06-20 12:16:41 Alberto Milone gdm3 (Ubuntu): assignee Alberto Milone (albertomilone)
2017-06-20 12:16:44 Alberto Milone gdm3 (Ubuntu): status New In Progress
2017-06-28 18:58:12 Jeremy Bicha bug added subscriber Jeremy Bicha
2017-07-03 09:40:38 Alberto Milone bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=784470
2017-07-03 09:40:38 Alberto Milone bug task added gdm
2017-07-03 11:22:07 Bug Watch Updater gdm: status Unknown Confirmed
2017-07-03 11:22:07 Bug Watch Updater gdm: importance Unknown Medium
2017-07-06 12:33:58 Bug Watch Updater gdm: status Confirmed Incomplete
2017-07-06 23:13:38 Doug McMahon bug added subscriber Doug McMahon
2017-08-24 09:30:47 Daniel van Vugt branch linked lp:~albertomilone/gdm/lp1697882
2017-09-07 20:03:58 Launchpad Janitor gdm3 (Ubuntu): status In Progress Fix Released
2017-09-14 20:38:59 hamid bug added subscriber hamid
2017-10-06 04:18:53 Bug Watch Updater gdm: status Incomplete Unknown